## org.openorb.util
Class CurrentStack

    java.lang.Object
      |
      +--org.openorb.util.CurrentStack

public class CurrentStack
extends java.lang.Object

Implementation for current objects. Each push call should allways have a corresponding pop.

Version:
  $Revision: 1.7 $ $Date: 2002/06/28 08:59:06 $
Author:
  Chris Wood

Constructor Summary
`CurrentStack()`

Method Summary
`java.lang.Object` `peek()` Get current data.
`java.lang.Object` `pop()` Remove data from current.
`void` `push(java.lang.Object obj)` Setup current data.
`java.lang.Object` `set(java.lang.Object obj)` Replace current data.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentStack

    public CurrentStack()

Method Detail

### peek

    public java.lang.Object peek()

  Get current data.
  Returns:
    The object on the top of the current stack.

### push

    public void push(java.lang.Object obj)

  Setup current data. Every push call should have a corresponding pop call.
  Parameters:
    `obj` - object to put on the current stack.

### pop

    public java.lang.Object pop()

  Remove data from current. Associated with a push call.
  Returns:
    The old current object.

### set

    public java.lang.Object set(java.lang.Object obj)

  Replace current data.
  Parameters:
    `obj` - object to replace the current object.
  Returns:
    The old current object.